/*
 * (c) Widgetop 2006, all rights reserved
 *     http://www.widgetop.com
 */

var imgsrc = "http://www.google.com/intl/en/images/logo.gif";
var interval;
var request;
var defaultWidth;
var defaultHeight;
var frontWidth = 180;
var frontHeight = 95;

function setup() {
  if (window.widget) {
    if (!widget.context) {
      document.getElementById("Widgetop").style.display = "block";
    }
    widgetSetup();
    findImage();
    document.getElementById("Logo").onmouseover = findImage;
    defaultWidth = document.images["LogoImage"].width;
    defaultHeight = document.images["LogoImage"].height;
    widget.onshow = function() {
      if (interval == null) {
        window.setInterval(findImage, 3600000);
      }
    }
    widget.onhide = function() {
      if (interval) {
        window.clearInterval(interval);
        interval = null;
      }
    }
  }
}

function findImage() {
  if (request != null) {
    request.abort();
  }
  request = new XMLHttpRequest();
  request.onload = pageLoaded;
  request.open("GET", "http://www.google.com/en");
  request.send(null);
}

function pageLoaded() {
  if (request.status == 200) {
    var text = request.responseText;
    var index = text.indexOf('<img src=');
    if (index > 0) {
      index = index + 9;
      if (text.charAt(index) == '\"') {
        index++;
        var index2 = text.indexOf('\"', index);
      }
      else {
        var index2 = text.indexOf(' ', index);
      }  
      var src = text.substring(index, index2);
      imgsrc = "http://www.google.com" + src;
      updateImage();
    }
  }
}

function updateImage() {
  document.images["LogoImage"].src = "";
  var img = new Image();
  var date = new Date();
  img.src = imgsrc; //+ "?text=" + date.getTime();
  var logoImg = document.images["LogoImage"];
  document.images["LogoImage"].src = img.src;
  img = logoImg;
  var x = 0;
  var y = 0;
  if (img.width * defaultHeight > img.height * defaultWidth) {
    logoImg.setAttribute("width", defaultWidth);
    logoImg.setAttribute("height", defaultWidth * img.height / img.width);
    y = (defaultHeight - defaultWidth * img.height / img.width) / 2
  }
  else {
    logoImg.setAttribute("width", defaultHeight * img.width / img.height);
    logoImg.setAttribute("height", defaultHeight);      
    x = (defaultWidth - defaultHeight * img.width / img.height) / 2;
  }
  logoImg.style.borderLeftWidth = x + "px";
  logoImg.style.borderTopWidth = y + "px";
}

function widgetSetup() {
  if (window.widget) {
  	var gDoneButton = new AppleGlassButton(document.getElementById("DoneButton"), 
  	                                      "Done", hideBack); 
	  var gInfoButton = new AppleInfoButton(document.getElementById("InfoButton"), 
	                                        document.getElementById("front"), 
	                                        "black", "black", showBack);    
  }
}

function showBack() {
    var front = document.getElementById("front");
    var back = document.getElementById("back");
 
    if(window.widget)
        widget.prepareForTransition("ToBack");
 
    front.style.display="none";
    back.style.display="block";
 
    if (window.widget)
        setTimeout ('widget.performTransition();', 0);  
}

function hideBack() {
    var front = document.getElementById("front");
    var back = document.getElementById("back");
 
    if (window.widget)
        widget.prepareForTransition("ToFront");
 
    back.style.display="none";
    front.style.display="block";
 
    if (window.widget)
        setTimeout ('widget.performTransition();', 0);
}      